%define	name	libjsw
%define	version 1.4.0c
%define release 3mdk
%define summary	UNIX joystick driver wrapper

%define major 1
%define libname %{name}%{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		System/Servers
Source:		ftp://fox.mit.edu/pub/xsw/%{name}%{version}.tar.bz2
Url: 		http://wolfpack.twu.net/libjsw/index.html
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw) provides 
the programmer with the assistance to easily code applications that need to 
use the joystick driver and a convience to users by storing the calibration 
information in a .joystick calibration file

%package -n %{libname}
Summary: UNIX joystick driver wrapper library
Group: System/Libraries

%description -n %{libname}
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw) provides 
the programmer with the assistance to easily code applications that need to 
use the joystick driver and a convience to users by storing the calibration 
information in a .joystick calibration file

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libjsw-devel

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%package -n %{libname}-calibrator
Summary:	Joystick calibrator
Group:		Development/C
Requires:	%{libname} = %{version}

%description -n %{libname}-calibrator
Joystick calibrator itself

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}%{version}
DIRS="jscalibrator libjsw"
for DIR in $DIRS; do
	perl -pi -e 's|^PREFIX = /usr|PREFIX = \$(RPM_BUILD_ROOT)/%{_prefix}|g' $DIR/Makefile
done

%build
cd libjsw
make -f Makefile.Linux
make install
cd ../jscalibrator
perl -pi -e 's|^LIB_DIR =|LIB_DIR = -L\$(RPM_BUILD_ROOT)/%{_prefix}/lib|g' Makefile.Linux
perl -pi -e 's|^INC =|INC = -I\$(RPM_BUILD_ROOT)/%{_prefix}/include|g' Makefile.Linux
make -f Makefile.Linux
make install
# move man from /usr to /usr/share
mv $RPM_BUILD_ROOT/%{_prefix}/man $RPM_BUILD_ROOT/%{_mandir}
# compress man pages
find $RPM_BUILD_ROOT/%{_mandir} -type f -exec bzip2 {} \;
# strip library
find $RPM_BUILD_ROOT/%{_libdir} -type f -exec strip {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE README jswdemos
%{_libdir}/lib*.so.*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*

%files -n %{libname}-calibrator
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/icons/*

%changelog
* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0c-3mdk
- update requires for libjsw1-calibrator

* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0c-2mdk
- split package

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0c-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- first Mandrake release
